Skip to main content

sui_getCheckpoints

POST

Return paginated list of checkpoints
param[0]
cursorstringrequired
An optional paging cursor. If provided, the query will start from the next item after the specified cursor. Default to start from the first item if not specified.
param[1]
limitintegerrequired
Maximum item returned per page, default to [QUERY_MAX_RESULT_LIMIT_CHECKPOINTS] if not specified.
param[2]
descendingOrderbooleanrequired
Query result ordering, default to false (ascending order), oldest record first.
Responses
jsonrpcstring
idinteger
next_cursor points to the last item in the page; Reading with next_cursor will start from the next item after next_cursor if next_cursor is Some, otherwise it will start from the first item.
checkpointCommitmentsarrayrequired
Commitments to checkpoint state
digestobjectrequired
Present only on the final checkpoint of the epoch.
epochCommitmentsarrayrequired
Commitments to epoch specific state (e.g. live object set)
nextEpochCommitteearrayrequired
next_epoch_committee is Some if and only if the current checkpoint is the last checkpoint of an epoch. Therefore next_epoch_committee can be used to pick the last checkpoint of an epoch, which is often useful to get epoch level summary stats like total gas cost of an epoch, or the total number of transactions from genesis to the end of an epoch. The committee is stored as a vector of validator pub key and stake pairs. The vector should be sorted based on the Committee data structure.
nextEpochProtocolVersionobjectrequired
epochobjectrequired
computationCostobjectrequired
nonRefundableStorageFeeobjectrequired
storageCostobjectrequired
storageRebateobjectrequired
networkTotalTransactionsobjectrequired
previousDigestobject
sequenceNumberobjectrequired
timestampMsobjectrequired
transactionsarrayrequired
Transaction digests
validatorSignatureobjectrequired
hasNextPagebooleanrequired
nextCursorstring
codestringrequired
Code identifying the cause of the failed request.
messagestringrequired
Detailed message including the name and value of the invalid parameter.
{
"code": "ERROR_CODE",
"message": "Bad Request"
}
cURL
curl -X POST 'https://sui-mainnet.nodit.io' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: nodit-demo' \
-d '{
"jsonrpc": "2.0",
"id": 1,
"method": "sui_getCheckpoints",
"params": [
"1004",
4,
false
]
}'